{ config, lib, pkgs, ... }:
let
  user = "matt";
  passwordFile = config.sops.secrets."desktop/matt_password".path;
  pkgsVersion = pkgs; #.unstable;
in 
{
  users.users."${user}" = {
    isNormalUser = lib.mkDefault true;
    extraGroups = [
      "wheel"
      "keys"
      "networkmanager"
      "ratbagd"
      "input"
      "scanner"
      "lp"
      "video"
      "i2c"
    ]; # Enable ‘sudo’ for the user.
    hashedPasswordFile = passwordFile;
    shell = pkgsVersion.zsh;
  };

  users.users.root.shell = pkgsVersion.zsh;
}